Closed Bug 1645099 Opened 1 year ago Closed 1 year ago

Latest automatic firefox update requires GLIBC_2.18, not in Centos 7 yet.

Categories

(Toolkit :: Application Update, defect)

68 Branch
defect

Tracking

()

RESOLVED DUPLICATE of bug 1643258

People

(Reporter: chris.moth, Unassigned)

Details

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0

Steps to reproduce:

Installed Firefox developer from firefox-78.0b4.tar.bz2 on fully updated CentOS7.
Iniitally it works.

Actual results:

Firefox shows the "applying updates message"
Subsequent gui-attempts to load firefox developer "do nothing"
From command line I see:
XPCOMGlueLoad error for file /opt/firefox-developer/firefox/libxul.so:
/lib64/libc.so.6: version `GLIBC_2.18' not found (required by /opt/firefox-developer/firefox/libxul.so)
Couldn't load XPCOM.

Expected results:

Firefox would continue to run on CentOS after applying an update. (Either update should check for needed system libraries - and abort update if not there... or Firefox would hang back on slightly older glibc versions of mainstream releases... or Firefox would include needed glibc in distribution package).

Bugbug thinks this bug should belong to this component, but please revert this change in case of error.

Component: Untriaged → Application Update
Product: Firefox → Toolkit

I can confirm this is happening for me on Centos 7 with both Firefox 78b9 and Thunderbird78b3.

Blocks: 1646993
No longer blocks: 1646993

This looks like a duplicate of bug 1643258

The severity field is not set for this bug.
:nalexander, could you have a look please?

For more information, please visit auto_nag documentation.

Flags: needinfo?(nalexander)

The nightly download works again on my CentOS7. Thanks to all for jumping on this one.

Status: UNCONFIRMED → RESOLVED
Closed: 1 year ago
Flags: needinfo?(nalexander)
Resolution: --- → DUPLICATE
Duplicate of bug: 1643258
You need to log in before you can comment on or make changes to this bug.